Skip to main content
GET
/
v2
/
legal-entities
/
{countryCode}
/
{legalEntityId}
/
directors
Directors
curl --request GET \
  --url https://api.bizzy.ai/v2/legal-entities/{countryCode}/{legalEntityId}/directors \
  --header 'Authorization: Bearer <token>'
{
    "identifier": {
        "legalEntityId": "1778186251",
        "countryCode": "BE",
        "name": "Bizzy AI",
        "isPrimary": true
    },
    "data": [
        {
            "person": {
                "contactId": "1086914623",
                "firstName": "Lorenz",
                "lastName": "Bogaert"
            },
            "function": "PERMANENT_REPRESENTATIVE",
            "since": "2025-05-16",
            "until": null
        },
        {
            "person": {
                "contactId": "1481690419",
                "firstName": "Filip",
                "lastName": "Van Innis"
            },
            "function": "PERMANENT_REPRESENTATIVE",
            "since": "2025-05-16",
            "until": null
        },
        {
            "person": {
                "contactId": "1086914623",
                "firstName": "Lorenz",
                "lastName": "Bogaert"
            },
            "function": "DIRECTOR",
            "since": "2025-05-16",
            "until": null
        },
        {
            "person": {
                "contactId": "1481690419",
                "firstName": "Filip",
                "lastName": "Van Innis"
            },
            "function": "DIRECTOR",
            "since": "2025-05-16",
            "until": null
        }
    ],
    "pagination": {
        "limit": 4,
        "offset": 0,
        "total": 16
    }
}

Request

Accept-Language
string
default:"EN"
  • NL: Dutch - FR: French - EN: English

Path

countryCode
string
required
Any supported country code — see Supported countries.
Obfuscated legalEntityId returned by the company legal entities endpoint.

Query

limit
number
default:"4"
Number of items to return per page. (max 500)
offset
number
default:"0"
Number of items to skip
You can query on name.
{
    "identifier": {
        "legalEntityId": "1778186251",
        "countryCode": "BE",
        "name": "Bizzy AI",
        "isPrimary": true
    },
    "data": [
        {
            "person": {
                "contactId": "1086914623",
                "firstName": "Lorenz",
                "lastName": "Bogaert"
            },
            "function": "PERMANENT_REPRESENTATIVE",
            "since": "2025-05-16",
            "until": null
        },
        {
            "person": {
                "contactId": "1481690419",
                "firstName": "Filip",
                "lastName": "Van Innis"
            },
            "function": "PERMANENT_REPRESENTATIVE",
            "since": "2025-05-16",
            "until": null
        },
        {
            "person": {
                "contactId": "1086914623",
                "firstName": "Lorenz",
                "lastName": "Bogaert"
            },
            "function": "DIRECTOR",
            "since": "2025-05-16",
            "until": null
        },
        {
            "person": {
                "contactId": "1481690419",
                "firstName": "Filip",
                "lastName": "Van Innis"
            },
            "function": "DIRECTOR",
            "since": "2025-05-16",
            "until": null
        }
    ],
    "pagination": {
        "limit": 4,
        "offset": 0,
        "total": 16
    }
}